// Copyright (C) 2023 David Sugar, Tycho Softworks
// This code is licensed under MIT license

package main

import (
	"strconv"

	"github.com/gofiber/fiber/v2"

	"apollo/internal/lunar"
)

func clientPing(ctx *fiber.Ctx) error {
	id := ctx.Locals("userID").(int)
	return ctx.SendString("User: " + strconv.Itoa(id))
}

func clientProfile(ctx *fiber.Ctx) error {
	id := ctx.Locals("userID").(int)
	profile := lunar.GetLine(id)
	if profile != nil {
		return ctx.JSON(profile)
	}
	return fiber.NewError(fiber.StatusNotFound, "Profile not found")
}

func clientRoster(ctx *fiber.Ctx) error {
	return ctx.JSON(lunar.GetLines())
}

func clientGroups(ctx *fiber.Ctx) error {
	return ctx.JSON(lunar.GetGroups())
}
