// Copyright (C) 2023 David Sugar, Tycho Softworks
// This code is licensed under MIT license

package lunar

import (
	"crypto/md5"
	"crypto/sha256"
	"encoding/hex"
	"strings"
)

func HasMD5() bool {
	return strings.Contains(Algorithm, "MD5")
}

func HasSHA256() bool {
	return strings.Contains(Algorithm, "SHA")
}

func ComputeMD5(id string, secret string) string {
	digest := md5.New()
	digest.Write([]byte(id + ":" + Realm + ":" + secret))
	return hex.EncodeToString(digest.Sum(nil))
}

func ComputeSHA256(id string, secret string) string {
	digest := sha256.New()
	digest.Write([]byte(id + ":" + Realm + ":" + secret))
	return hex.EncodeToString(digest.Sum(nil))
}
